using System.Collections.Generic;
using System.ServiceModel;
using WWWings_GO;
using System.IO;

namespace WWWings_GO
{

 /// <summary>
 /// DienstSchnittstellendefinition 
 /// </summary>
 [ServiceContract(Namespace="http://www.world-wide-wings.de/Services")]
 public interface IBuchungsService
 {
  [OperationContract]
  GetFlugAntwort GetFlug(GetFlugAnfrage Anfrage);

  [OperationContract]
  GetFluegeAntwort GetFluege(GetFluegeAnfrage Anfrage);

  [OperationContract]
  GetFlughaefenAntwort GetFlughaefen(GetFlughaefenAnfrage Anfrage); 
  
  [OperationContract]
  GetPassagierAntwort GetPassagier(GetPassagierAnfrage Anfrage);

  [OperationContract]
  GetPassagiereAntwort GetPassagiere(GetPassagiereAnfrage Anfrage); 
  
  [OperationContract]
  SavePassagierSetAntwort SavePassagierSet(SavePassagierSetAnfrage Anfrage);

  [OperationContract]
  CreateBuchungAntwort CreateBuchung(CreateBuchungAnfrage Anfrage);

  [OperationContract]
  GetFotoAntwort GetFoto(GetFotoAnfrage Anfrage);
 }
}

